Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExCModel3DS.h File Reference

`#include "ExDefine.h"`
`#include "ExMath.h"`
`#include "ExCModel.h"`

Go to the source code of this file.

## Data Structures
class | ExCModel3DS
struct | t3DObject
struct | tChunk
struct | tFace
struct | tMaterialInfo
## Defines
#define | PRIMARY 0x4D4D
#define | OBJECTINFO 0x3D3D
#define | EDITKEYFRAME 0xB000
#define | FILEVERSION 0x0002
#define | INT_PERCENTAGE 0x0030
#define | PERCENTAGE 0x0031
#define | MATERIAL 0xAFFF
#define | OBJECT 0x4000
#define | MESH_VERSION 0x3D3E
#define | MASTER_SCALE 0x0100
#define | MATNAME 0xA000
#define | MATAMBIENTCOLOR 0xA010
#define | MATDIFFUSE 0xA020
#define | MATSPECULAR 0xA030
#define | MATSHININESS 0xA040
#define | MATSHININESSSTR 0xA041
#define | MATTRANSPARENCY 0xA050
#define | MATTRANSFALLOFF 0xA052
#define | MATREFLECTBLUR 0xA053
#define | MATTWOSIDED 0xA081
#define | MATTRANSPARENCYADD 0xA083
#define | MATSELFILUM 0xA084
#define | MATWIREON 0xA085
#define | MATWIRETHICKNESS 0xA087
#define | MATFACEMAP 0xA088
#define | MATTRANSFALLOFFIN 0xA08A
#define | MATSOFTEN 0xA08C
#define | MAT3DWIRETHICKNESS 0xA08E
#define | MATTYPE 0xA100
#define | MATMAP 0xA200
#define | MATMAPFILE 0xA300
#define | MATMAPOPTION 0xA351
#define | MATMAPFILTERINGBLUR 0xA353
#define | OBJECT_MESH 0x4100
#define | OBJECT_VERTICES 0x4110
#define | OBJECT_FACES 0x4120
#define | OBJECT_MATERIAL 0x4130
#define | OBJECT_UV 0x4140
#define | OBJECT_SMOOTH_GROUP 0x4150
#define | OBJECT_MESH_MATRIX 0x4160

## Define Documentation

#define EDITKEYFRAME 0xB000

| Definition at line 38 of file ExCModel3DS.h. Referenced by ExCModel3DS::Load().

#define FILEVERSION 0x0002

| Definition at line 39 of file ExCModel3DS.h. Referenced by ExCModel3DS::Load().

#define INT_PERCENTAGE 0x0030

| Definition at line 41 of file ExCModel3DS.h.

#define MASTER_SCALE 0x0100

| Definition at line 47 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectInfo().

#define MAT3DWIRETHICKNESS 0xA08E

| Definition at line 69 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATAMBIENTCOLOR 0xA010

| Definition at line 53 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATDIFFUSE 0xA020

| Definition at line 54 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATERIAL 0xAFFF

| Definition at line 44 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectInfo().

#define MATFACEMAP 0xA088

| Definition at line 66 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATMAP 0xA200

| Definition at line 71 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATMAPFILE 0xA300

| Definition at line 72 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATMAPFILTERINGBLUR 0xA353

| Definition at line 74 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATMAPOPTION 0xA351

| Definition at line 73 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATNAME 0xA000

| Definition at line 52 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATREFLECTBLUR 0xA053

| Definition at line 60 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATSELFILUM 0xA084

| Definition at line 63 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATSHININESS 0xA040

| Definition at line 56 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATSHININESSSTR 0xA041

| Definition at line 57 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATSOFTEN 0xA08C

| Definition at line 68 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATSPECULAR 0xA030

| Definition at line 55 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATTRANSFALLOFF 0xA052

| Definition at line 59 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATTRANSFALLOFFIN 0xA08A

| Definition at line 67 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATTRANSPARENCY 0xA050

| Definition at line 58 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATTRANSPARENCYADD 0xA083

| Definition at line 62 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATTWOSIDED 0xA081

| Definition at line 61 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATTYPE 0xA100

| Definition at line 70 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATWIREON 0xA085

| Definition at line 64 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MATWIRETHICKNESS 0xA087

| Definition at line 65 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectMaterial().

#define MESH_VERSION 0x3D3E

| Definition at line 46 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectInfo().

#define OBJECT 0x4000

| Definition at line 45 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObjectInfo().

#define OBJECT_FACES 0x4120

| Definition at line 80 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObject().

#define OBJECT_MATERIAL 0x4130

| Definition at line 81 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadFace(), and ExCModel3DS::ReadObject().

#define OBJECT_MESH 0x4100

| Definition at line 77 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObject().

#define OBJECT_MESH_MATRIX 0x4160

| Definition at line 84 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObject().

#define OBJECT_SMOOTH_GROUP 0x4150

| Definition at line 83 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadFace().

#define OBJECT_UV 0x4140

| Definition at line 82 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObject().

#define OBJECT_VERTICES 0x4110

| Definition at line 79 of file ExCModel3DS.h. Referenced by ExCModel3DS::ReadObject().

#define OBJECTINFO 0x3D3D

| Definition at line 37 of file ExCModel3DS.h. Referenced by ExCModel3DS::Load().

#define PERCENTAGE 0x0031

| Definition at line 42 of file ExCModel3DS.h.

#define PRIMARY 0x4D4D

| Definition at line 35 of file ExCModel3DS.h. Referenced by ExCModel3DS::Load().